# Uses of Interface
org.opensaml.xmlsec.signature.ECKeyValue

Packages that use ECKeyValue
Package
Description
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.keyinfo.impl.provider
Specific implementations of `KeyInfoProvider`.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of ECKeyValue in org.opensaml.xmlsec.keyinfo

Methods in org.opensaml.xmlsec.keyinfo that return ECKeyValue
Modifier and Type
Method
Description
`static ECKeyValue`
KeyInfoSupport.`buildECKeyValue(ECPublicKey ecPubKey)`
Builds an `ECKeyValue` XMLObject from the Java security EC public key type.
Methods in org.opensaml.xmlsec.keyinfo with parameters of type ECKeyValue
Modifier and Type
Method
Description
`static PublicKey`
KeyInfoSupport.`getECKey(ECKeyValue keyDescriptor)`
Builds an EC key from an `ECKeyValue` element.

## Uses of ECKeyValue in org.opensaml.xmlsec.keyinfo.impl.provider

Methods in org.opensaml.xmlsec.keyinfo.impl.provider that return ECKeyValue
Modifier and Type
Method
Description
`protected ECKeyValue`
ECKeyValueProvider.`getECKeyValue(XMLObject xmlObject)`
Get the ECKeyValue from the passed XML object.

## Uses of ECKeyValue in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return ECKeyValue
Modifier and Type
Method
Description
`ECKeyValue`
KeyValue.`getECKeyValue()`
Get the ECKeyValue child element.
Methods in org.opensaml.xmlsec.signature with parameters of type ECKeyValue
Modifier and Type
Method
Description
`void`
KeyValue.`setECKeyValue(ECKeyValue newECKeyValue)`
Set the ECKeyValue child element.

## Uses of ECKeyValue in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement ECKeyValue
Modifier and Type
Class
Description
`class`
`ECKeyValueImpl`
Concrete implementation of `ECKeyValue`.
Fields in org.opensaml.xmlsec.signature.impl declared as ECKeyValue
Modifier and Type
Field
Description
`private ECKeyValue`
KeyValueImpl.`ecKeyValue`
ECKeyValue child element.
Methods in org.opensaml.xmlsec.signature.impl that return ECKeyValue
Modifier and Type
Method
Description
`ECKeyValue`
ECKeyValueBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`ECKeyValue`
ECKeyValueBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`ECKeyValue`
KeyValueImpl.`getECKeyValue()`
Get the ECKeyValue child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type ECKeyValue
Modifier and Type
Method
Description
`void`
KeyValueImpl.`setECKeyValue(ECKeyValue newECKeyValue)`
Set the ECKeyValue child element.